Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 232967 - LSPP: Add audit rule bit operators patch
Summary: LSPP: Add audit rule bit operators patch
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel
Version: 5.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Eric Paris
QA Contact: Martin Jenner
URL:
Whiteboard:
Depends On:
Blocks: RHEL5LSPPCertTracker 233186
TreeView+ depends on / blocked
 
Reported: 2007-03-19 18:12 UTC by Steve Grubb
Modified: 2007-11-30 22:07 UTC (History)
2 users (show)

Fixed In Version: RHBA-2007-0959
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-11-07 19:44:45 UTC


Attachments (Terms of Use)
patch against RHEL5 (deleted)
2007-03-23 18:24 UTC, Eric Paris
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2007:0959 normal SHIPPED_LIVE Updated kernel packages for Red Hat Enterprise Linux 5 Update 1 2007-11-08 00:47:37 UTC

Description Steve Grubb 2007-03-19 18:12:14 UTC
Description of problem:
There is not good way to audit syscalls that have bit mapped options. A patch
was sent to the linux-audit mail list adding this capability. This is not
strictly required for LSPP, but helps customers.

Comment 1 Steve Grubb 2007-03-23 18:01:34 UTC
Patch has been applied and is working correctly. Tested on lspp.70 kernel.

Comment 2 Eric Paris 2007-03-23 18:24:49 UTC
Created attachment 150785 [details]
patch against RHEL5

RHEL5 version of the patch

Comment 3 Eric Paris 2007-03-23 18:25:59 UTC
removing from LSPP list.  I don't remember seeing an upstream patch for this,
just the RHEL5 version, but maybe i'm mistaken.  I'll have to look into that
before i submit for internal inclusion.

Comment 6 Don Zickus 2007-06-16 00:30:56 UTC
in 2.6.18-27.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Comment 8 Mike Gahagan 2007-09-12 21:52:03 UTC
Confirmed patch is in the -46.el5 kernel

Comment 10 errata-xmlrpc 2007-11-07 19:44:45 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0959.html



Note You need to log in before you can comment on or make changes to this bug.